from displayio import Group, OnDiskBitmap, TileGrid
from adafruit_clue import clue

class Splash:
    shown = False
    def __init__(self) -> None:
        raise Exception('Do not initialize this class')

    def show():
        if not Splash.shown:
            root = Group()
            odb = OnDiskBitmap('clue-bluetooth-black.bmp')
            root.append(TileGrid(odb, pixel_shader=odb.pixel_shader, x=36, y=22))
            clue.display.show(root)

    def hide():
        Splash.shown = False
        clue.display.show(Group())
